from Products.CMFCore.utils import getToolByName

lc = getToolByName(context, 'portal_linkchecker')

if not lc.isUserAllowed():
    return []

url = lc.resolveRelativeLink(context.getId(), context)
brains = lc.database.query(url=url)

object_uids = []
for b in brains:
    object_uids.extend(b.objects)

objects = []
for uid in object_uids:
    try:
        obj = lc.getObjectForUID(uid)
    except KeyError:
        # not registered
        pass
    else:
        objects.append(obj)

return objects
