# Copyright (c) 2005 gocept gmbh & co. kg
# See also LICENSE.txt
# $Id: common.py,v 1.3 2005/01/27 09:04:27 zagy Exp $


# test content type

from Products.Archetypes import public as atapi

# site setup

from Testing import ZopeTestCase
#ZopeTestCase.installProduct("PlacelessTranslationService")
#ZopeTestCase.installProduct("SiteAccess")
ZopeTestCase.installProduct("MimetypesRegistry")
ZopeTestCase.installProduct("PortalTransforms")
ZopeTestCase.installProduct("Archetypes")
ZopeTestCase.installProduct("BTreeFolder2")
ZopeTestCase.installProduct("ZCatalog")
ZopeTestCase.installProduct("CMFLinkChecker")

from AccessControl.SecurityManagement import newSecurityManager
from AccessControl.SecurityManagement import noSecurityManager
import time

default_user = ZopeTestCase.user_name

from Products.CMFPlone.tests import PloneTestCase
from Products.CMFCore.utils import getToolByName


portal_name = PloneTestCase.portal_name
portal_owner = PloneTestCase.portal_owner

def setupTestEnv(app, id=portal_name, quiet=0):
    '''Installs the CMFLinkChecker into the portal.'''
    portal = app[id]
    _start = time.time()
    if not quiet: ZopeTestCase._print('Adding Products ... ')
    # Login as portal owner
    user = app.acl_users.getUserById(portal_owner).__of__(app.acl_users)
    newSecurityManager(None, user)
    # Install Archetypes & Co
    qi = getToolByName(portal, 'portal_quickinstaller')
    qi.installProduct('Archetypes')
    qi.installProduct('CMFLinkChecker')
    
    # configure testing server
    lc = getToolByName(portal, 'portal_linkchecker')
    lc.database.clientid = 'testing'
    
    # Log out
    noSecurityManager()
    get_transaction().commit()
    if not quiet: ZopeTestCase._print('done (%.3fs)\n' % (time.time()-_start,))


app = ZopeTestCase.app()
setupTestEnv(app)
ZopeTestCase.close(app)
